<ion-header>
  <ion-toolbar mode="ios">
    <ion-buttons slot="start">
      <ion-button
        style="font-size: 19px; width: 60.38px"
        routerLink="/home"
        routerDirection="back"
      >
        <ion-icon slot="start" mode="md" name="ios-arrow-back"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>Favorites</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <ion-row class="ion-no-padding">
    <ion-col size="4" size-sm="2" *ngFor="let key of objectkeys(favoritesList)">
      <app-pokemon-card [item]="favoritesList[key]" [favoritesList]="favoritesList"></app-pokemon-card>
    </ion-col>
  </ion-row>
  <ng-container *ngIf="objectkeys(favoritesList).length == 0">
      <ion-row style="height: 100%;" class="ion-text-center ion-align-items-center">
        <ion-col>
          <div class="font-25">
            <b>There's Nothing Here</b>
          </div>
          <div class="font-15 mt-10">Browse and add your favorites Pokémon now!</div>
        </ion-col>
      </ion-row>
      
  </ng-container>
</ion-content>
